Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class FeatureTransducer

    java.lang.Object
      cc.mallet.fst.Transducer
          cc.mallet.fst.FeatureTransducer

All Implemented Interfaces:
  java.io.Serializable

    public class FeatureTransducer

extends Transducer

See Also:
  Serialized Form

Nested Class Summary
`class` | `FeatureTransducer.State`
`protected class` | `FeatureTransducer.Transition`
`protected class` | `FeatureTransducer.TransitionIterator`

Nested classes/interfaces inherited from class cc.mallet.fst.Transducer
`Transducer.Incrementor`

Field Summary

Fields inherited from class cc.mallet.fst.Transducer
`CERTAIN_WEIGHT, IMPOSSIBLE_WEIGHT, inputPipe, outputPipe`

Constructor Summary
`FeatureTransducer()`
`FeatureTransducer(Alphabet dictionary)`
`FeatureTransducer(Alphabet inputAlphabet, Alphabet outputAlphabet)`

Method Summary
`void` | `addState(java.lang.String name, double initialWeight, double finalWeight, int[] inputs, int[] outputs, double[] weights, java.lang.String[] destinationNames)`
`void` | `addState(java.lang.String name, double initialWeight, double finalWeight, java.lang.Object[] inputs, java.lang.Object[] outputs, double[] weights, java.lang.String[] destinationNames)`
`void` | `estimate()`
`Alphabet` | `getInputAlphabet()`
`Alphabet` | `getOutputAlphabet()`
`Transducer.State` | `getState(int index)`
`java.util.Iterator<FeatureTransducer.State>` | `initialStateIterator()`
`boolean` | `isTrainable()`
`int` | `numStates()`
`void` | `reset()`
`void` | `setTrainable(boolean f)`

Methods inherited from class cc.mallet.fst.Transducer
`averageTokenAccuracy, canIterateAllTransitions, generatePath, getInputPipe, getMaxLatticeFactory, getOutputPipe, getSumLatticeFactory, isGenerative, label, less_efficient_sumLogProb, no_longer_needed_sumNegLogProb, print, setMaxLatticeFactory, setSumLatticeFactory, stateIndexOfString, sumLogProb, transduce, transduce`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureTransducer

    public FeatureTransducer(Alphabet inputAlphabet,
                             Alphabet outputAlphabet)

### FeatureTransducer

    public FeatureTransducer(Alphabet dictionary)

### FeatureTransducer

    public FeatureTransducer()

Method Detail

### getInputAlphabet

    public Alphabet getInputAlphabet()

### getOutputAlphabet

    public Alphabet getOutputAlphabet()

### addState

    public void addState(java.lang.String name,
                         double initialWeight,
                         double finalWeight,
                         int[] inputs,
                         int[] outputs,
                         double[] weights,
                         java.lang.String[] destinationNames)

### addState

    public void addState(java.lang.String name,
                         double initialWeight,
                         double finalWeight,
                         java.lang.Object[] inputs,
                         java.lang.Object[] outputs,
                         double[] weights,
                         java.lang.String[] destinationNames)

### numStates

    public int numStates()

  Specified by:
    `numStates` in class `Transducer`

### getState

    public Transducer.State getState(int index)

  Specified by:
    `getState` in class `Transducer`

### initialStateIterator

    public java.util.Iterator<FeatureTransducer.State> initialStateIterator()

  Specified by:
    `initialStateIterator` in class `Transducer`

### isTrainable

    public boolean isTrainable()

### setTrainable

    public void setTrainable(boolean f)

### reset

    public void reset()

### estimate

    public void estimate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD